%Yann-Al Le Borgne - October 2005 -
%www.ulb.ac.be/di/map/yleborgn/sensorNet

function videoGen(output,videoPDE,E,P,T,duration,tick)
% Script de generation des 2 videos. 
% Pour fonctionner ce script a besoin de l'execution pralable de
% 'simulation1.m'

display ('Generation des videos... ');
newplot
n=duration/tick; %Number of frames
M1=moviein(n);
M2=moviein(n);

%Generate video for heat sources moves
for i=1:duration
    if (mod(i,2)==1) 
        valMax=max(max(videoPDE{i}))
    end
    for j=1:(1/tick)
        pdeplot (P{i},E{i},T{i},'xydata',videoPDE{i}(:,j),'mesh','off','colorbar','on','contour','on')
        axis([-1 1 -1 1])
        caxis([0 valMax])
        M1(:,(i-1)*(1/tick)+j)=getframe;
    end
end
movie2avi(M1,[output 'HeatMoves.avi'],'fps',2);

%Generate video for mesh used in pde calculations with FEM
%newplot
%for i=1:duration
%    for j=1:(1/tick)
%        pdemesh(P{i},E{i},T{i})
%        M2(:,(i-1)*(1/tick)+j)=getframe;
%    end
%end
%movie2avi(M2,[output 'Mesh.avi']);

