%Yann-Al Le Borgne - October 2005 -
%www.ulb.ac.be/di/map/yleborgn/sensorNet

function [U0 a CMedium CBorder CSource d f b gd sf ns]=getEnvironment()
%U0 is the initial temperature
%Diff is the heat conductivity
%HeatC is the specific heat capacity
%b are the boundary conditions of environment

%gd, sf, ns: Geometry data, set formula, names; They describe the
%environment (can be generated with the pdetool GUI)
%See matlab help for help on this

U0=0;
CMedium='0.1';
%No border here
CBorder='0';
CSource='10';

%PDE param for medium
a='0';
d='1';
f='0';

%4 Dirichlet conditions
b=[1 1 1 1 1 1 48 48 49 48]';
b=[b b b b];

%A rectangle
gd=[3;4;-1;1;1;-1;1;1;-1;-1];
sf='R1';
ns=[82;49];


